By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
424,984 Members | 1,386 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 424,984 IT Pros & Developers. It's quick & easy.

TextBox error after download

P: n/a
Using ASP.Net 2.0, I had files that were compiling fine and running fine on
my local host against Framework 2.0 until I downloaded WebMatrix. I brought
one into WebMatrix and got the following message upon trying to run it.
Now I also get that message when I try to run this file and any others on my
local host outside of WebMatrix.

Who has an answer?
Control 'operation' of type 'TextBox' must be placed inside a form tag with
runat=server.
Description: An unhandled exception occurred during the execution of the
current web request. Please review the stack trace for more information
about the error and where it originated in the code.

Exception Details: System.Web.HttpException: Control 'operation' of type
'TextBox' must be placed inside a form tag with runat=server.

I did a search, and all my TextBox controls are inside a form tag with
runat=server included.

THE REASON I downloaded WebMatrix was because I needed to run against 1.1
because of the limitations of my hosting server. Now I can't be successful
with 1.1 OR 2.0.

Jun 5 '07 #1
Share this Question
Share on Google+
5 Replies


P: n/a
On Jun 5, 8:54 pm, "dancer" <dan...@microsoft.comwrote:
Using ASP.Net 2.0, I had files that were compiling fine and running fine on
my local host against Framework 2.0 until I downloaded WebMatrix. I brought
one into WebMatrix and got the following message upon trying to run it.
Now I also get that message when I try to run this file and any others on my
local host outside of WebMatrix.

Who has an answer?
Control 'operation' of type 'TextBox' must be placed inside a form tag with
runat=server.
Description: An unhandled exception occurred during the execution of the
current web request. Please review the stack trace for more information
about the error and where it originated in the code.

Exception Details: System.Web.HttpException: Control 'operation' of type
'TextBox' must be placed inside a form tag with runat=server.

I did a search, and all my TextBox controls are inside a form tag with
runat=server included.

THE REASON I downloaded WebMatrix was because I needed to run against 1.1
because of the limitations of my hosting server. Now I can't be successful
with 1.1 OR 2.0.
Are you sure that there is only one form?
Do you have </format the end?

Jun 5 '07 #2

P: n/a
No. I have one <formand one </form>
There was some text that included the word, form, so I searched and changed
every instance of the text form to xxxx just to be sure.
Still same message.
Why would this start after installing Web Matrix?
"Alexey Smirnov" <al************@gmail.comwrote in message
news:11**********************@k79g2000hse.googlegr oups.com...
On Jun 5, 8:54 pm, "dancer" <dan...@microsoft.comwrote:
>Using ASP.Net 2.0, I had files that were compiling fine and running fine
on
my local host against Framework 2.0 until I downloaded WebMatrix. I
brought
one into WebMatrix and got the following message upon trying to run it.
Now I also get that message when I try to run this file and any others on
my
local host outside of WebMatrix.

Who has an answer?
Control 'operation' of type 'TextBox' must be placed inside a form tag
with
runat=server.
Description: An unhandled exception occurred during the execution of the
current web request. Please review the stack trace for more information
about the error and where it originated in the code.

Exception Details: System.Web.HttpException: Control 'operation' of type
'TextBox' must be placed inside a form tag with runat=server.

I did a search, and all my TextBox controls are inside a form tag with
runat=server included.

THE REASON I downloaded WebMatrix was because I needed to run against 1.1
because of the limitations of my hosting server. Now I can't be
successful
with 1.1 OR 2.0.

Are you sure that there is only one form?
Do you have </format the end?

Jun 5 '07 #3

P: n/a
On Jun 5, 9:25 pm, "dancer" <dan...@microsoft.comwrote:
THE REASON I downloadedWebMatrixwas because I needed to run against 1.1
because of the limitations of my hosting server. Now I can't be
successful
with 1.1 OR 2.0.
I'm reading your message again... What do you mean by "I needed to run
against 1.1"? As far as I remember WebMatrix is an ASP.NET IDE, so it
is for developing ASP.NET applications, and not for running remote web
sites.

I don't know about the Framework version WebMatrix used, and if the
web form is well formed then probably the problem happens because of
the different versions of the project (1.1 vs 2.0).

Jun 5 '07 #4

P: n/a
People say you can have both 1.1 and 2.0 side by side. ???
I downloaded and installed WebMatrix Project because my hosting server does
not support 2.0.
I need to change my code to be compatible with 1.1 WHICH IS VERY
FRUSTRATING.
Do you have any advice for doing this?
Changing servers is not an option at this time. I don't make the decision.

"Alexey Smirnov" <al************@gmail.comwrote in message
news:11**********************@n4g2000hsb.googlegro ups.com...
On Jun 5, 9:25 pm, "dancer" <dan...@microsoft.comwrote:
>THE REASON I downloadedWebMatrixwas because I needed to run against
1.1
because of the limitations of my hosting server. Now I can't be
successful
with 1.1 OR 2.0.

I'm reading your message again... What do you mean by "I needed to run
against 1.1"? As far as I remember WebMatrix is an ASP.NET IDE, so it
is for developing ASP.NET applications, and not for running remote web
sites.

I don't know about the Framework version WebMatrix used, and if the
web form is well formed then probably the problem happens because of
the different versions of the project (1.1 vs 2.0).

Jun 5 '07 #5

P: n/a
Dancer :

Do you have the .Net Framework 1.1 installed in your development box ?

We already know it's installed on the server you want to host your app in...

re:
!>I don't know about the Framework version WebMatrix used

It uses 1.1...but if the .Net Framework 1.1 isn't installed
there won't be an ASP.NET tab in the IIS Manager.

That tab only shows up when *both* the 1.1 and 2.0 versions are installed.


Juan T. Llibre, asp.net MVP
asp.net faq : http://asp.net.do/faq/
foros de asp.net, en español : http://asp.net.do/foros/
======================================
"dancer" <da****@microsoft.comwrote in message news:eX**************@TK2MSFTNGP02.phx.gbl...
People say you can have both 1.1 and 2.0 side by side. ???
I downloaded and installed WebMatrix Project because my hosting server does not support 2.0.
I need to change my code to be compatible with 1.1 WHICH IS VERY FRUSTRATING.
Do you have any advice for doing this?
Changing servers is not an option at this time. I don't make the decision.
"Alexey Smirnov" <al************@gmail.comwrote in message
news:11**********************@n4g2000hsb.googlegro ups.com...
>On Jun 5, 9:25 pm, "dancer" <dan...@microsoft.comwrote:
>>THE REASON I downloadedWebMatrixwas because I needed to run against 1.1because of the
limitations of my hosting server. Now I can't be
successful with 1.1 OR 2.0.
>I'm reading your message again... What do you mean by "I needed to run
against 1.1"? As far as I remember WebMatrix is an ASP.NET IDE, so it
is for developing ASP.NET applications, and not for running remote web
sites.
>I don't know about the Framework version WebMatrix used, and if the
web form is well formed then probably the problem happens because of
the different versions of the project (1.1 vs 2.0).

Jun 5 '07 #6

This discussion thread is closed

Replies have been disabled for this discussion.